On Thursday, 26 March 2015 at 11:41:17 UTC, Mike James wrote:
On Tuesday, 20 May 2014 at 18:13:36 UTC, Vadim Lopatin wrote:

I would like to announce my project, DlangUI library -

Hi Vadim,

I have just installed the latest D 2.067.0, ran the git install and the build now fails. The errors are as follows:

C:\D\dmd2\gui\dlangui>dub run dlangui:example1 --build=release
Building package dlangui:example1 in C:\D\dmd2\gui\dlangui\examples\example1\
Target gl3n 1.0.1 is up to date. Use --force to rebuild.
Building dlib ~master configuration "library", build type release.
Running dmd...
..\..\..\..\Users\mikej\AppData\Roaming\dub\packages\dlib-master\dlib\image\io\jpeg.d(681): Warning: instead of C-style
syntax, use D-style syntax 'ubyte[64] dezigzag'
..\..\..\..\Users\mikej\AppData\Roaming\dub\packages\dlib-master\dlib\filesystem\windows\directory.d(77): Error: undefin
ed identifier wcslen
FAIL ..\..\..\..\Users\mikej\AppData\Roaming\dub\packages\dlib-master\.dub\build\library-release-windows-x86-dmd_2067-17
3DBA1310DF90D85EA81F6AA09FBD95\ dlib staticLibrary
Error executing command run: dmd failed with exit code 1.


any clues?


Regards, Mike.

Try `dub upgrade --force-remove` followed by `dub build --force`

Reply via email to